### Method

# Vips Target writef

#### Declaration [src]

    int
    vips_target_writef (
      VipsTarget* target,
      const char* fmt,
      ...
    )

#### Description [src]

Format the string and write to `target`.

This method is not directly available to language bindings.

#### Parameters

`fmt`

  Type: `const char*`

  `printf()`-style format string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Arguments to format string.

#### Return value

Type: `int`

0 on success, and -1 on error.